QT += core gui
QT += network
QT += xml

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    Core/sendsystem.cpp \
    Core/versioncontainer.cpp \
    Core\updatecontroller.cpp \
    Core\externalexecuter.cpp\
    Core\dataparser.cpp\
    Core\recognizesystem.cpp\
    Core\screenchecker.cpp\
    Core\tcpclient.cpp\
    Core\tools.cpp\
    Core\hashcomparer.cpp \
    UI/resourcemanager.cpp \
    Widgets\commonbuttongroupwidget.cpp \
    Widgets\entrywidget.cpp \
    Widgets\instructorbuttongroupwidget.cpp \
    main.cpp \
    mainwindow.cpp \
    mywinheader.cpp \
    Widgets\newversionwidget.cpp \
    Widgets\updatenotifywidget.cpp \
    Widgets\versionselectwidget.cpp

HEADERS += \
    Core/streamingversiondata.h \
    Core/versioncontainer.h \
    Core\sendsystem.h \
    Core\updatecontroller.h \
    Core\externalexecuter.h\
    Core\dataparser.h\
    Core\recognizesystem.h\
    Core\screenchecker.h\
    Core\tcpclient.h\
    Core\tools.h\
    Core\hashcomparer.h \
    Data\FileData.h\
    Data\Datas.h \
    UI/resourcemanager.h \
    Widgets\commonbuttongroupwidget.h \
    Widgets\entrywidget.h \
    Widgets\instructorbuttongroupwidget.h \
    mainwindow.h \
    mywinheader.h \
    Widgets\newversionwidget.h \
    Widgets\updatenotifywidget.h \
    Widgets\versionselectwidget.h

FORMS += \
    Widgets\commonbuttongroupwidget.ui \
    Widgets\entrywidget.ui \
    Widgets\instructorbuttongroupwidget.ui \
    mainwindow.ui \
    Widgets\newversionwidget.ui \
    Widgets\updatenotifywidget.ui \
    Widgets\versionselectwidget.ui

TRANSLATIONS = QtLanguage_ru.ts\
               QtLanguage_eng.ts

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    resources.qrc
